package business;

import java.util.ArrayList;
import java.util.List;

import business.Professor;
import business.Usuario;

public class PreencheProfessor {
	static public Professor getProfessor1() {
		int idProfessor = -1;
		String matricula = "1001";
		String nome = "Professor1001";
		String titulacao = "Título1001";

		Professor professor = geraInstancia(idProfessor, matricula, nome,
				titulacao);

		int idUsuario = 1;
		int idPessoa = -1;
		String perfil = "Perfil1001";
		String senha = "Senha1001";
		String userId = "UserId1001";

		List<Usuario> userArray = new ArrayList<Usuario>();
		userArray.add(PreencheUsuario.geraInstancia(idUsuario, userId, senha,
				perfil, idPessoa));

		professor.setUsuarios(userArray);

		return professor;
	}

	static public Professor getProfessor2() {
		int idProfessor = -1;
		String matricula = "1002";
		String nome = "Professor1002";
		String titulacao = "Título1002";

		Professor professor = geraInstancia(idProfessor, matricula, nome,
				titulacao);

		int idUsuario = 2;
		int idPessoa = -1;
		String perfil = "Perfil1002";
		String senha = "Senha1002";
		String userId = "UserId1002";

		List<Usuario> userArray = new ArrayList<Usuario>();
		userArray.add(PreencheUsuario.geraInstancia(idUsuario, userId, senha,
				perfil, idPessoa));

		professor.setUsuarios(userArray);

		return professor;
	}

	private static Professor geraInstancia(int idProfessor, String matricula,
			String nome, String titulacao) {
		Professor professor = new Professor();

		professor.setId(idProfessor);
		professor.setMatricula(new String(matricula));
		professor.setNome(new String(nome));
		professor.setTitulacao(new String(titulacao));
		return professor;
	}

	static public void alteraDadosProfessor(Professor professor) {
		String matricula = professor.getMatricula() + "0";
		String nome = professor.getNome() + " *";
		String titulacao = professor.getTitulacao() + " *";

		professor.setMatricula(matricula);
		professor.setNome(nome);
		professor.setTitulacao(titulacao);

		if (professor.getUsuarios().size() > 0) {
			Usuario usuario = professor.getUsuarios().get(0);

			int idUsuario = usuario.getId() + 10;
			int idPessoa = usuario.getIdPessoa() + 10;
			String perfil = usuario.getPerfil() + " *";
			String senha = usuario.getSenha() + " *";
			String userId = usuario.getUserId() + " *";

			usuario.setId(idUsuario);
			usuario.setIdPessoa(idPessoa);
			usuario.setPerfil(new String(perfil));
			usuario.setSenha(new String(senha));
			usuario.setUserId(new String(userId));
		}
	}
}
